CVE-2020-10701

Name
CVE-2020-10701
Description
A missing authorization flaw was found in the libvirt API responsible for changing the QEMU agent response timeout. This flaw allows read-only connections to adjust the time that libvirt waits for the QEMU guest agent to respond to agent commands. Depending on the timeout value that is set, this flaw can make guest agent commands fail because the agent cannot respond in time. Unprivileged users with a read-only connection could abuse this flaw to set the response timeout for all guest agent messages to zero, potentially leading to a denial of service. This flaw affects libvirt versions before 6.2.0.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC https://bugzilla.redhat.com/show_bug.cgi?id=1819163

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:redhat:libvirt:*:*:*:*:*:*:*:* libvirt >= None < 6.2.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
libvirt 3.11-main 5.9.0-r2 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable